Skip Menu |
 

This queue is for tickets about the Lemonldap-NG-Handler CPAN distribution.

Report information
The Basics
Id: 132508
Status: open
Priority: 0/
Queue: Lemonldap-NG-Handler

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Undeclared dependency Time::Fake (2.0.8)
Download (untitled) / with headers
text/plain 442b
Some tests fail if Time::Fake is not installed: ... Can't locate Time/Fake.pm in @INC (you may need to install the Time::Fake module) (@INC contains: ... .) at t/test-psgi-lib.pm line 7. BEGIN failed--compilation aborted at t/test-psgi-lib.pm line 7. Compilation failed in require at t/60-Lemonldap-NG-Handler-PSGI.t line 6. t/60-Lemonldap-NG-Handler-PSGI.t ................ Dubious, test returned 2 (wstat 512, 0x200) No subtests run ...
Download (untitled) / with headers
text/plain 656b
On 2020-05-05 16:55:48, SREZIC wrote: Show quoted text
> Some tests fail if Time::Fake is not installed: > > ... > Can't locate Time/Fake.pm in @INC (you may need to install the > Time::Fake module) (@INC contains: ... .) at t/test-psgi-lib.pm line > 7. > BEGIN failed--compilation aborted at t/test-psgi-lib.pm line 7. > Compilation failed in require at t/60-Lemonldap-NG-Handler-PSGI.t line > 6. > t/60-Lemonldap-NG-Handler-PSGI.t ................ > Dubious, test returned 2 (wstat 512, 0x200) > No subtests run > ...
Also undeclared: Env (which is a perl core module, but some system perl installations come without the full set of core modules, e.g. on CentOS 7).
Download (untitled) / with headers
text/plain 806b
Le Mer 06 Mai 2020 01:43:58, SREZIC a écrit : Show quoted text
> On 2020-05-05 16:55:48, SREZIC wrote:
> > Some tests fail if Time::Fake is not installed: > > > > ... > > Can't locate Time/Fake.pm in @INC (you may need to install the > > Time::Fake module) (@INC contains: ... .) at t/test-psgi-lib.pm line > > 7. > > BEGIN failed--compilation aborted at t/test-psgi-lib.pm line 7. > > Compilation failed in require at t/60-Lemonldap-NG-Handler-PSGI.t > > line > > 6. > > t/60-Lemonldap-NG-Handler-PSGI.t ................ > > Dubious, test returned 2 (wstat 512, 0x200) > > No subtests run > > ...
> > Also undeclared: Env (which is a perl core module, but some system > perl installations come without the full set of core modules, e.g. on > CentOS 7).
Hi, thanks for these reports. Both are fixed for next release


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.